/**
 * goIRC (C)opyright 2007 Sebastian Kasparek
 *
 * settingsdialog.cpp - settings dialog combining mvc in one class
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <iostream>

#include <gui/window.h>
#include <gui/layoutview.h>
#include <gui/button.h>
#include <gui/stringview.h>
#include <gui/textview.h>
#include <gui/spinner.h>
#include <gui/dropdownmenu.h>
#include <gui/separator.h>
#include <gui/image.h>
#include <util/message.h>
#include <util/resources.h>
#include <util/settings.h>

class SettingsDialog : public os::Window
{
public:
	SettingsDialog();
	virtual void HandleMessage( os::Message *pcMessage );
	virtual bool OkToQuit();

private:
	class MyPrivate;
	MyPrivate *my;
};

#endif
